1.1
1.1
get /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Auto-Scaling Group 정책 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| query | name optional | 정책 이름 Example : policy-name | any of [string, null] | None |
| query | metric_method optional | 메트릭 방법 Example : AVG | any of [enum (AVG, MIN, MAX), null] | None |
| query | metric_type optional | 메트릭 유형 Example : CPU | any of [string, null] | None |
| query | scale_type optional | 스케일 유형 Example : SCALE_OUT | any of [enum (SCALE_OUT, SCALE_IN), null] | None |
| query | offset optional | 목록에서 시작할 지점의 인덱스 Example : 0 | any of [integer, null] | 0 |
| query | limit optional | 페이지 항목 개수 Example : 20 | any of [integer, null] | 20 |
| query | sort optional | 쉼표로 구분된 정렬 목록이며 <키>[:<방향>] 형식으로 지정 Example : created_at:desc | any of [string, null] | created_at:desc,id:desc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AutoScalingGroupPolicyListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"count": 20,
"policies": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 1,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
]
}